## gst-thumbnailers 1.0~alpha.3

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: ['release', 'dev'],
  value: 'release',
)
