## gst-thumbnailers 1.0~alpha.1

=== debian/changelog ===
gst-thumbnailers (1.0~alpha.1-2) unstable; urgency=medium

  * d/control: Bump S-V to 4.7.3; drop priority: optional
  * d/control: Fix typo
  * d/rules: Fix dh-builtusing call
  * Update upstream homepage

 -- Matthias Geiger <werdahias@debian.org>  Sat, 21 Feb 2026 11:05:44 +0100

gst-thumbnailers (1.0~alpha.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1121723)

 -- Matthias Geiger <werdahias@debian.org>  Tue, 02 Dec 2025 19:24:20 +0100
