=== debian/control ===
Source: gst-thumbnailers
Section: gnome
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 meson,
 libglycin-2-dev,
 libgstreamer1.0-dev,
 dh-cargo,
 cargo:native,
 rustc:native (>= 1.88),
 libstd-rust-dev,
 librust-clap-4+derive-dev (>= 4.5.48-~~),
 librust-clap-4+help-dev (>= 4.5.48-~~),
 librust-clap-4+std-dev (>= 4.5.48-~~),
 librust-clap-4+usage-dev (>= 4.5.48-~~),
 librust-gio-0.21+default-dev (>= 0.21.1-~~),
 librust-gstreamer-0.24+default-dev (>= 0.24.3-~~),
 librust-gstreamer-app-0.24+default-dev,
 librust-gstreamer-sys-0.24+default-dev,
 librust-gstreamer-video-0.24+default-dev (>= 0.24.3-~~),
 librust-image-0.25-dev (>= 0.25.8-~~),
 librust-libglycin-rebind-0.0+default-dev (<< 0.0.2-~~),
 librust-libglycin-rebind-0.0+default-dev (>= 0.0.1-~~)
Standards-Version: 4.7.3
Homepage: https://gitlab.gnome.org/GNOME/gst-thumbnailers
Vcs-Git: https://salsa.debian.org/gnome-team/gst-thumbnailers.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gst-thumbnailers

Package: gst-video-thumbnailer
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: thumbnailer of video files
 preview thumbnails of video files in nautilus
 gst-video-thumbnailer renders thumbnails for preview
 using libglycin. If no cover is found, the frames are searched.
 .
 This package contains the video thumbnailer.

Package: gst-audio-thumbnailer
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: thumbnailer of audio files
 preview thumbnails of audio files in nautilus
 gst-audio-thumbnailer renders thumbnails for preview
 using libglycin.
 .
 This package contains the audio thumbnailer.
