=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
    https://gitlab.gnome.org/GNOME/gst-thumbnailers/tags?sort=updated_desc -/archive/[\d.]+?(?:alpha|beta|rc)?[\d.]*/\
 gst-thumbnailers-([\d.]+?(?:alpha|beta|rc)?[\d.]*)@ARCHIVE_EXT@
