## gst-thumbnailers 1.0~alpha.3

=== debian/changelog ===
gst-thumbnailers (1.0~alpha.3-0ubuntu1) resolute; urgency=medium

  * d/watch: Upstream now release tarballs on download.gnome.org
  * New upstream release
    - d/patches/add-meson-test-runner.diff: Included in new release.
    - Check-if-various-basic-GStreamer-plugins-are-available-be.patch:
      + Improves error reporting for missing plugins
    - Sync-Cargo.toml-version-number-with-meson.build.patch
      + Fixes oversight in upstream packaging for this release.

 -- Charles <charles05@canonical.com>  Wed, 14 Jan 2026 13:07:06 +0000

gst-thumbnailers (1.0~alpha.1-1ubuntu1) resolute; urgency=medium

  * Initial Ubuntu packaging for vendoring workflow.
  * d/patches/add-meson-test-runner.diff
    - Enable the Rust tests to be run via Meson. Otherwise, when
      building using the provided Meson script, no tests will run at
      build time.
  * d/patches/skip-video-tests-on-big-endian.patch
    - Disable the video thumbnailing tests on s390x. The variance is
      super large, indicating some kind of decoding bug.
  * debian/tests: Add autopkgtest

 -- Charles <charles05@canonical.com>  Mon, 12 Jan 2026 13:31:12 +0000

gst-thumbnailers (1.0~alpha.1-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #1121723)

 -- Matthias Geiger <werdahias@debian.org>  Sun, 30 Nov 2025 23:31:10 +0100
