=== debian/control ===
Source: gst-thumbnailers
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Charles <charles05@canonical.com>
Build-Depends: debhelper-compat (= 13),
               dh-cargo,
               cargo:native,
               gstreamer1.0-plugins-bad,
               gstreamer1.0-plugins-base,
               gstreamer1.0-plugins-good,
               libglycin-2-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libstd-rust-dev,
               meson,
               quilt,
               rustc:native (>= 1.88)
#librust-clap-4+derive-dev (>= 4.5.48-~~),
#librust-clap-4+help-dev (>= 4.5.48-~~),
#librust-clap-4+std-dev (>= 4.5.48-~~),
#librust-clap-4+usage-dev (>= 4.5.48-~~),
#librust-gio-0.21+default-dev (>= 0.21.1-~~),
#librust-gstreamer-0.24+default-dev (>= 0.24.3-~~),
#librust-gstreamer-app-0.24+default-dev,
#librust-gstreamer-sys-0.24+default-dev,
#librust-gstreamer-video-0.24+default-dev (>= 0.24.3-~~),
#librust-image-0.25-dev (>= 0.25.8-~~),
#librust-libglycin-rebind-0.0+default-dev (<< 0.0.2-~~),
#librust-libglycin-rebind-0.0+default-dev (>= 0.0.1-~~)
Standards-Version: 4.7.2
XS-Vendored-Sources-Rust: aho-corasick@1.1.4, anes@0.1.6, anstyle@1.0.13, atomic_refcell@0.1.13, autocfg@1.5.0, bitflags@2.10.0, bytemuck@1.24.0, byteorder-lite@0.1.0, cast@0.3.0, cfg-expr@0.20.4, cfg-if@1.0.4, ciborium-io@0.2.2, ciborium-ll@0.2.2, ciborium@0.2.2, clap@4.5.53, clap_builder@4.5.53, clap_derive@4.5.49, clap_lex@0.7.6, criterion-plot@0.6.0, criterion@0.7.0, crossbeam-deque@0.8.6, crossbeam-epoch@0.9.18, crossbeam-utils@0.8.21, either@1.15.0, equivalent@1.0.2, futures-channel@0.3.31, futures-core@0.3.31, futures-executor@0.3.31, futures-io@0.3.31, futures-macro@0.3.31, futures-sink@0.3.31, futures-task@0.3.31, futures-util@0.3.31, gio-sys@0.21.2, gio@0.21.4, glib-macros@0.21.4, glib-sys@0.21.2, glib@0.21.4, gobject-sys@0.21.2, gstreamer-app-sys@0.24.0, gstreamer-app@0.24.2, gstreamer-base-sys@0.24.2, gstreamer-base@0.24.2, gstreamer-sys@0.24.2, gstreamer-video-sys@0.24.1, gstreamer-video@0.24.3, gstreamer@0.24.3, half@2.7.1, hashbrown@0.16.1, heck@0.5.0, image@0.25.9, indexmap@2.12.1, itertools@0.13.0, itertools@0.14.0, itoa@1.0.15, kstring@2.0.2, libc@0.2.177, libglycin-rebind-sys@0.0.1, libglycin-rebind@0.0.1, memchr@2.7.6, moxcms@0.7.9, muldiv@1.0.1, num-integer@0.1.46, num-rational@0.4.2, num-traits@0.2.19, oorandom@11.1.5, option-operations@0.6.0, pastey@0.1.1, pin-project-lite@0.2.16, pin-utils@0.1.0, pkg-config@0.3.32, plotters-backend@0.3.7, plotters-svg@0.3.7, plotters@0.3.7, proc-macro-crate@3.4.0, proc-macro2@1.0.103, pxfm@0.1.25, quote@1.0.42, rayon-core@1.13.0, rayon@1.11.0, regex-automata@0.4.13, regex-syntax@0.8.8, regex@1.12.2, ryu@1.0.20, same-file@1.0.6, serde@1.0.228, serde_core@1.0.228, serde_derive@1.0.228, serde_json@1.0.145, serde_spanned@1.0.3, slab@0.4.11, smallvec@1.15.1, static_assertions@1.1.0, syn@2.0.111, system-deps@7.0.7, target-lexicon@0.13.3, thiserror-impl@2.0.17, thiserror@2.0.17, tinytemplate@1.2.1, toml@0.9.8, toml_datetime@0.7.3, toml_edit@0.23.7, toml_parser@1.0.4, toml_writer@1.0.4, unicode-ident@1.0.22, version-compare@0.2.1, walkdir@2.5.0, winnow@0.7.14, zerocopy-derive@0.8.30, zerocopy@0.8.30
Homepage: https://gitlab.gnome.org/GNOME/gst-thumbnailers
Vcs-Git: https://salsa.debian.org/gnome-team/gst-thumbnailers.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gst-thumbnailers

Package: gst-video-thumbnailer
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Thumbnailer for video files, based on GStreamer
 Finds a suitably interesting frame from a video and renders a
 thumbnail using libglycin. Primarily for use with Nautilus while
 exploring media files.

Package: gst-audio-thumbnailer
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Thumbnailer for audio files, based on GStreamer
 Tries to find covert art from an audio container and renders a
 thumbnail using libglycin. Primarily for use with Nautilus while
 exploring media files.
