=== debian/tests/control ===
Tests: run-installed-tests
Depends: gstreamer1.0-plugins-good, @
Restrictions: allow-stderr
