## gst-thumbnailers 1.0~rc

=== debian/changelog ===
gst-thumbnailers (1.0~rc-1ubuntu1) resolute; urgency=medium

  * New upstream release
    - Check-if-various-basic-GStreamer-plugins-are-available-be.patch:
    - Sync-Cargo.toml-version-number-with-meson.build.patch
      + Dropped, included in new release.
  * Depend on rustc 1.92

 -- Charles <charles05@canonical.com>  Tue, 03 Mar 2026 08:32:55 +0000
