=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 ifeq ($(DEB_HOST_ARCH_BITS),32)
 export DEB_BUILD_OPTIONS += optimize=-lto
 endif
+
+export PATH:=/usr/lib/rust-1.92/bin:$(PATH)
 
 %:
 	dh $@ --buildsystem=meson+ninja
